// Manufacturer_List.h
// Description: manufacturer list as a macro


#define MANUFACTURER_LIST						\
      { 1,   [Acromag] },						\
      { 2,   [Allen_Bradley] },					\
      { 3,   [Ametek] },						\
      { 4,   [Analog_Devices] },				\
      { 5,   [Elsag_Bailey] },					\
      { 6,   [Beckman] },						\
      { 7,   [Bell_Microsensor] },				\
      { 8,   [Bourns] },						\
      { 9,   [Bristol_Babcock] },				\
      { 10,  [Brooks_Instrument] },				\
      { 11,  [Chessell] },						\
      { 12,  [Combustion_Engineering] },		\
      { 13,  [Daniel_Industries] },				\
      { 14,  [Delta] },							\
      { 15,  [Dieterich_Standard] },			\
      { 16,  [Dohrmann] },						\
      { 17,  [Endress_and_Hauser] },			\
      { 18,  [Elsag_Bailey] },					\
      { 19,  [Fisher_Controls] },				\
      { 20,  [Foxboro] },						\
      { 21,  [Fuji] },							\
      { 22,  [Elsag_Bailey] },					\
      { 23,  [Honeywell] },						\
      { 24,  [ITT_Barton] },					\
      { 25,  [KayRay_Sensall] },				\
      { 26,  [ABB] },							\
      { 27,  [Leeds_and_Northrup] },			\
      { 28,  [Leslie] },						\
      { 29,  [M_System_Co] },					\
      { 30,  [Measurex] },						\
      { 31,  [Micro_Motion] },					\
      { 32,  [Moore_Industries] },				\
      { 33,  [Moore_Products] },				\
     { 34,  [Ohkura_Electric] },				\
      { 35,  [Paine] },							\
      { 36,  [Rochester_Instrument_Systems] },	\
      { 37,  [Ronan] },							\
      { 38,  [Rosemount] },						\
      { 39,  [Peek_Measurement] },				\
      { 40,  [Schlumberger] },					\
      { 41,  [Sensall] },						\
      { 42,  [Siemens] },						\
      { 43,  [Weed] }, /* change from Camille Bauer */			\
      { 44,  [Toshiba] },						\
      { 45,  [Transmation] },					\
      { 46,  [Rosemount_Analytical] },			\
      { 47,  [Valmet] },						\
      { 48,  [Flowserve] },						\
      { 49,  [Varec] },							\
      { 50,  [Viatran] },						\
      { 51,  [Delta_Weed] }, /* Delta/Weed */	\
      { 52,  [Westinghouse] },					\
      { 53,  [Xomox] },							\
      { 54,  [Yamatake] },						\
      { 55,  [Yokogawa] },						\
      { 56,  [Nuovo_Pignone] },					\
      { 57,  [Promac] },						\
      { 58,  [Exac_Corporation] },				\
      { 59,  [KDG_Mobrey] },					\
      { 60,  [Acrom_Control_System] },			\
      { 61,  [Princo] },						\
      { 62,  [Smar] },							\
      { 63,  [Foxboro_Eckardt] },				\
      { 64,  [Measurement_Technology] },		\
      { 65,  [Applied_System_Technologies] },	\
      { 66,  [Samson] },						\
      { 67,  [Sparling_Instruments] },			\
      { 68,  [Fireye] },						\
      { 69,  [Krohne] },						\
      { 70,  [Betz_Equipment] },				\
      { 71,  [Druck] },							\
      { 72,  [SOR] },							\
      { 73,  [Elcon_Instruments] },				\
      { 74,  [EMCO] },							\
      { 75,  [Termiflex] },						\
      { 76,  [VAF_Instruments] },				\
      { 77,  [Westlock_Controls] },				\
      { 78,  [Drexelbrook] },					\
      { 79,  [saab_tank_control] },				\
      { 80,  [K_TEK] },							\
      { 81,  [Flowdata] },						\
      { 82,  [Draeger] },						\
	  { 83,  [Raytek] },						\
	  { 84,  [Meridian_Instruments] },			\
	  { 85,  [BTG] },							\
	  { 86,  [Magnetrol] },						\
	  { 87,  [Neles_Controls] },				\
	  { 88,  [Milltronics] },					\
	  { 89,  [HELIOS] },						\
      { 90, [Anderson_Instrument_Company] },	\
      { 91, [INOR] },							\
      { 92, [ROBERTSHAW] },						\
      { 93, [PEPPERL_FUCHS] },					\
      { 94, [ACCUTECH] },						\
      { 95, [Flow_Measurement] },				\
      { 96, [KAMSTRUP] },						\
      { 97, [Knick] },							\
      { 98, [VEGA] },							\
      { 99, [MTS_SYS_CORPS_SENSORS] },			\
      { 100, [Oval] },							\
      { 101, [Masoneilan_DRESSER] },			\
      { 102, [Besta] },							\
      { 103, [Ohmart] },						\
      { 104, [Harold_Beck_and_Sons] },			\
      { 105, [rittmeyer_instrumentation] },		\
      { 106, [rossel_messtechnik] },			\
      { 107, [WIKA] },							\
      { 108, [Bopp_and_Reuther_Heinrichs] },	\
      { 109, [pr_eletronics] },					\
      { 110, [jordan_controls] },				\
      { 111, [valcom] },						\
      { 112, [us_electric_motors] },			\
      { 113, [apparatebau_hundsbach] },			\
	  { 114, [Dynisco] }, /* Dynisco */			\
	  { 115, [Spriano] }, /* Spriano */			\
	  { 116, [Direct_Mesaurement] }, /* Direct Measurement */			\
	  { 117, [Klay] }, /* Klay Instruments */			\
	  { 118, [Action] }, /* Action Instruments */			\
	  { 119, [Mmg_Automatiky] }, /* MMG AM DTR - 1000 */			\
	  { 120, [Buerkert] }, /* Buerkert Fluid Control Systems */			\
	  { 121, [Hersey] }, /* Hersey Measurement */			\
	  { 122, [Pondus] }, /* PONDUS INSTRUMENTS */			\
	  { 123, [Zap] }, /* ZAP_S.A._Ostrow_Wielkopolski */			\
	  { 124, [GLI] }, /* GLI */			\
	  { 125, [FRPT] }, /* Fisher-Rosemount Performance Technologies */			\
	  { 126, [Paper_Machine_Components] }, /* Paper Machine Components */			\
	  { 127, [Labom] }, /* LABOM */			\
	  { 128, [Danfoss] }, /* Danfoss */			\
	  { 129, [Turbo] }, /* Turbo */			\
	  { 130, [Tokyo_Keiso] }, /* TOKYO KEISO */			\
	  { 131, [SMC] }, /* SMC */			\
	  { 132, [Status_Instruments] }, /* Status Instruments */			\
	  { 133, [Huakong] }, /* Huakong */			\
	  { 134, [Duon_System] }, /* Duon System */			\
	  { 135, [Vortek_Instruments_LLC] }, /* Vortek Instruments, LLC */			\
	  { 136, [AG_Crosby] }, /* AG Crosby */			\
	  { 137, [Action_Instruments] }, /* Action Instruments */			\
          { 138, [Keystone_Controls] }, /* Keystone Controls */			\
          { 139, [Thermo_Electric_Company] }, /* Thermo Electric Co. */			\
          { 140, [ISE_Magtech] }, /* ISE-Magtech */			\
      { 250, [not_used] },			\
      { 251, [none] },				\
      { 252, [unknown] },			\
      { 253, [special] }			\		


