// message -------------------------------------------------------------------------

VARIABLE message
{
	HELP	[message_help];
	LABEL	[message];
	CLASS	DEVICE;
	TYPE	PACKED_ASCII (32) ;
}


COMMAND read_message
{
    NUMBER 12;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            response_code, device_status, message
        }
    }
    RESPONSE_CODES
    {
        0,      SUCCESS,        [no_command_specific_errors];
        6,      MISC_ERROR,     [xmtr_specific_command_error];
        16,     MODE_ERROR,     [access_restricted];
    }
}

COMMAND write_message
{
	NUMBER 17;

	OPERATION WRITE;

	TRANSACTION
	{
		REQUEST
		{
			message
		}

		REPLY
		{
			response_code, device_status, message
		}
	}

	RESPONSE_CODES
	{
		0,	SUCCESS,	[no_command_specific_errors];
		5,	MISC_ERROR, [too_few_data_bytes_recieved];
		6,	MISC_ERROR, [xmtr_specific_command_error];
		7,	MODE_ERROR, [in_write_protect_mode];
		16,	MODE_ERROR, [access_restricted];
	}
}




