// final_assembly_number ------------------------------------------------------

VARIABLE final_assembly_number
{
    LABEL	[final_assembly_number];
    HELP	[final_assembly_number_help];
    CLASS	DEVICE;
    TYPE	UNSIGNED_INTEGER (3)
    {
        DEFAULT_VALUE 1;
		MAX_VALUE 16777215;
        EDIT_FORMAT "8u" ;
    }
}


COMMAND read_final_assembly_number
{
    NUMBER 16;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            response_code, device_status, final_assembly_number
        }
    }
    RESPONSE_CODES
    {
        0,      SUCCESS,    [no_command_specific_errors];
        6,      MISC_ERROR, [xmtr_specific_command_error];
        16,     MODE_ERROR, [access_restricted];
    }
}


COMMAND write_final_assembly_number
{
    NUMBER 19;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            final_assembly_number
        }
        REPLY
        {
            response_code, device_status, final_assembly_number
        }
    }
    RESPONSE_CODES
    {
        0,      SUCCESS,    [no_command_specific_errors];
        5,      MISC_ERROR, [too_few_data_bytes_recieved];
        6,      MISC_ERROR, [xmtr_specific_command_error];
        7,      MODE_ERROR, [in_write_protect_mode];
        16,     MODE_ERROR, [access_restricted];
    }
}

